Subject: Ticket Assigned - Late delivery / 9563569646
From: Home Box <[email-masked]>
To: [email-masked]
Date: Mon, 04 Apr 2022 04:59:40 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late delivery / 9563569646 RizMaz                    Hi           08:53 AM, 04th Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           08:53 AM, 04th Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            08:53 AM, 04th Apr                     RizMaz                    This is fathima           08:53 AM, 04th Apr                     RizMaz                    My order nos is 9563569646           08:54 AM, 04th Apr                     RizMaz                    My items were out for delivery on 1st April and suddenly they rescheduled.. Please update my delivery           08:55 AM, 04th Apr                   Ahmed                   Kindly allow me few moments so I can check the details of the order            08:55 AM, 04th Apr                     RizMaz                    Date           08:55 AM, 04th Apr                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           08:59 AM, 04th Apr                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           08:59 AM, 04th Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4121984